Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html
Interface HTMLCollection

public interface HTMLCollection

An `HTMLCollection` is a list of nodes. An individual nodemay be accessed by either ordinal index or the node's`name` or `id` attributes. Note:Collections in the HTML DOM are assumed to be live meaningthat they are automatically updated when the underlying document ischanged.

Method Summary
`int` | `getLength()` This attribute specifies the length or size of the list.
`Node` | `item(int index)` This method retrieves a node specified by ordinal index.
`Node` | `namedItem(java.lang.String name)` This method retrieves a `Node` using a name.

Method Detail

### getLength

    public int getLength()

  This attribute specifies the length or size of the list.

### item

    public Node item(int index)

  This method retrieves a node specified by ordinal index. Nodes are numbered in tree order (depth-first traversal order).
  Parameters:
    `index` - The index of the node to be fetched. The index origin is 0.
  Returns:
    The `Node` at the corresponding position upon success. A value of `null` is returned if the index is out of range.

### namedItem

    public Node namedItem(java.lang.String name)

  This method retrieves a `Node` using a name. It first searches for a `Node` with a matching `id` attribute. If it doesn't find one, it then searches for a `Node` with a matching `name` attribute, but only on those elements that are allowed a name attribute.
  Parameters:
    `name` - The name of the `Node` to be fetched.
  Returns:
    The `Node` with a `name` or `id` attribute whose value corresponds to the specified string. Upon failure (e.g., no node with this name exists), returns `null`.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD